/*
 <COPYRIGHT>

 Copyright (c) 2004-2006, University of Nottingham
 All rights reserved.

 Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions are met:

 - Redistributions of source code must retain the above copyright notice, this
 list of conditions and the following disclaimer.

 - Redistributions in binary form must reproduce the above copyright notice,
 this list of conditions and the following disclaimer in the documentation
 and/or other materials provided with the distribution.

 - Neither the name of the ...organisation/regents...
 nor the names of its contributors may be used to endorse or promote products
 derived from this software without specific prior written permission.

 THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR
 ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
 ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

 </COPYRIGHT>

 Created by: Jan Humble (University of Nottingham)
 
 */

package ipdlx.gui;

import ipdlx.Tournament;

import java.awt.BorderLayout;

import javax.swing.BoxLayout;
import javax.swing.JPanel;
import javax.swing.JTabbedPane;

/**
 * 
 * @author Jan Humble
 */
public class TournamentPanel extends JPanel {

	protected Tournament tournament;

	static TournamentMonitor monitor;

	public TournamentPanel() {
		this(null);
	}

	public TournamentPanel(Tournament tournament) {
		super(new BorderLayout());
		this.tournament = tournament;
		monitor = new TournamentMonitor(tournament);
		JTabbedPane pane = new JTabbedPane();
		pane.add("Players", new PlayerPanel(tournament));
		pane.add("Results", new ResultsPanel(tournament));
		pane.add("Strategies", new StrategyPanel(tournament));
		pane.add("Info", new InfoPanel(tournament));

		add(BorderLayout.CENTER, pane);
		JPanel leftPanel = new JPanel();
		leftPanel.setLayout(new BoxLayout(leftPanel, BoxLayout.Y_AXIS));
		BorderedPanel p = new BorderedPanel("Game Settings");
		p.add(new GameSettingsPanel(tournament));

		leftPanel.add(p);
		p = new BorderedPanel("Controls");
		p.add(new TournamentRunPanel(tournament));
		leftPanel.add(p);
		JPanel lp = new JPanel();
		lp.add(leftPanel);
		add(BorderLayout.WEST, lp);
	}

}